{
  "summary": {
    "generated_at": "2026-01-05T05:54:48Z",
    "total_nodes": 12,
    "reachable_count": 11,
    "authorized_ok_count": 11,
    "chainid_match_count": 11,
    "netversion_match_count": 11,
    "min_block": 600172,
    "max_block": 600172,
    "block_spread": 0,
    "port": 8545,
    "timeout_s": 4.0,
    "threads": 12,
    "host_header_candidates": [
      "localhost",
      "127.0.0.1",
      "rpc-http-pub.d-bis.org",
      "rpc.d-bis.org",
      "rpc2.d-bis.org",
      "rpc.public-0138.defi-oracle.io"
    ]
  },
  "nodes": [
    {
      "vmid": "2400",
      "ip": "192.168.11.240",
      "name": "thirdweb-rpc-1",
      "group": "thirdweb",
      "url": "http://192.168.11.240:8545",
      "host_header_used": null,
      "reachable": true,
      "authorized": true,
      "probe": {
        "ok": true,
        "latency_ms": 223.58775598695502,
        "error": null,
        "response": {
          "jsonrpc": "2.0",
          "id": 1,
          "result": "0x8a"
        }
      },
      "checks": {
        "eth_chainId": "0x8a",
        "eth_chainId_ok": true,
        "net_version": "138",
        "net_version_ok": true,
        "client_version": "besu/v23.10.0/linux-x86_64/openjdk-java-17",
        "block_number_hex": "0x9286c",
        "block_number": 600172,
        "syncing": false,
        "syncing_ok": true,
        "peer_count_hex": "0x9",
        "peer_count": 9,
        "latest_block_hash": "0x0d6aa7f99c160282b94c6eb8abace8dc6d63cafbd1a0a4b82ca5e9707d9d9553",
        "latest_block_timestamp_hex": "0x6959f6cc",
        "gas_price_hex": "0x3e8",
        "gas_price_wei": 1000,
        "txpool_supported": false,
        "txpool_error": "Method not found",
        "avg_latency_ms": 16.324909895451533
      },
      "timings_ms": {
        "eth_chainId": 8.276967011624947,
        "net_version": 18.93877101247199,
        "web3_clientVersion": 18.84702598908916,
        "eth_blockNumber": 32.391045009717345,
        "eth_syncing": 6.87755600665696,
        "net_peerCount": 37.36944598495029,
        "eth_getBlockByNumber_latest": 9.103942022193223,
        "eth_gasPrice": 9.844243002589792,
        "txpool_status": 5.275193019770086
      }
    },
    {
      "vmid": "2401",
      "ip": "192.168.11.241",
      "name": "thirdweb-rpc-2",
      "group": "thirdweb",
      "url": "http://192.168.11.241:8545",
      "host_header_used": null,
      "reachable": true,
      "authorized": true,
      "probe": {
        "ok": true,
        "latency_ms": 257.65353301540017,
        "error": null,
        "response": {
          "jsonrpc": "2.0",
          "id": 1,
          "result": "0x8a"
        }
      },
      "checks": {
        "eth_chainId": "0x8a",
        "eth_chainId_ok": true,
        "net_version": "138",
        "net_version_ok": true,
        "client_version": "besu/v23.10.0/linux-x86_64/openjdk-java-17",
        "block_number_hex": "0x9286c",
        "block_number": 600172,
        "syncing": false,
        "syncing_ok": true,
        "peer_count_hex": "0x7",
        "peer_count": 7,
        "latest_block_hash": "0x0d6aa7f99c160282b94c6eb8abace8dc6d63cafbd1a0a4b82ca5e9707d9d9553",
        "latest_block_timestamp_hex": "0x6959f6cc",
        "gas_price_hex": null,
        "gas_price_wei": null,
        "txpool_supported": false,
        "avg_latency_ms": 910.1622333400883
      },
      "timings_ms": {
        "eth_chainId": 18.17361102439463,
        "net_version": 11.310357018373907,
        "web3_clientVersion": 15.48645700677298,
        "eth_blockNumber": 12.551986001199111,
        "eth_syncing": 12.716078985249624,
        "net_peerCount": 11.612040019826964,
        "eth_getBlockByNumber_latest": 97.6583969895728,
        "eth_gasPrice": 4006.343974004267,
        "txpool_status": 4005.6071990111377
      }
    },
    {
      "vmid": "2402",
      "ip": "192.168.11.242",
      "name": "thirdweb-rpc-3",
      "group": "thirdweb",
      "url": "http://192.168.11.242:8545",
      "host_header_used": null,
      "reachable": true,
      "authorized": true,
      "probe": {
        "ok": true,
        "latency_ms": 242.98304101102985,
        "error": null,
        "response": {
          "jsonrpc": "2.0",
          "id": 1,
          "result": "0x8a"
        }
      },
      "checks": {
        "eth_chainId": "0x8a",
        "eth_chainId_ok": true,
        "net_version": "138",
        "net_version_ok": true,
        "client_version": "besu/v23.10.0/linux-x86_64/openjdk-java-17",
        "block_number_hex": "0x9286c",
        "block_number": 600172,
        "syncing": false,
        "syncing_ok": true,
        "peer_count_hex": "0x7",
        "peer_count": 7,
        "latest_block_hash": "0x0d6aa7f99c160282b94c6eb8abace8dc6d63cafbd1a0a4b82ca5e9707d9d9553",
        "latest_block_timestamp_hex": "0x6959f6cc",
        "gas_price_hex": null,
        "gas_price_wei": null,
        "txpool_supported": false,
        "avg_latency_ms": 908.8005825566748
      },
      "timings_ms": {
        "eth_chainId": 19.5621479942929,
        "net_version": 23.03512001526542,
        "web3_clientVersion": 16.656256979331374,
        "eth_blockNumber": 11.028974025975913,
        "eth_syncing": 22.892930021043867,
        "net_peerCount": 12.36788698588498,
        "eth_getBlockByNumber_latest": 63.86187599855475,
        "eth_gasPrice": 4003.286252001999,
        "txpool_status": 4006.5137989877257
      }
    },
    {
      "vmid": "2500",
      "ip": "192.168.11.250",
      "name": "besu-rpc-1",
      "group": "public",
      "url": "http://192.168.11.250:8545",
      "host_header_used": null,
      "reachable": true,
      "authorized": true,
      "probe": {
        "ok": true,
        "latency_ms": 227.3088119982276,
        "error": null,
        "response": {
          "jsonrpc": "2.0",
          "id": 1,
          "result": "0x8a"
        }
      },
      "checks": {
        "eth_chainId": "0x8a",
        "eth_chainId_ok": true,
        "net_version": "138",
        "net_version_ok": true,
        "client_version": "besu/v23.10.0/linux-x86_64/openjdk-java-17",
        "block_number_hex": "0x9286c",
        "block_number": 600172,
        "syncing": false,
        "syncing_ok": true,
        "peer_count_hex": "0x5",
        "peer_count": 5,
        "latest_block_hash": "0x0d6aa7f99c160282b94c6eb8abace8dc6d63cafbd1a0a4b82ca5e9707d9d9553",
        "latest_block_timestamp_hex": "0x6959f6cc",
        "gas_price_hex": "0x3e8",
        "gas_price_wei": 1000,
        "txpool_supported": false,
        "txpool_error": "Method not found",
        "avg_latency_ms": 17.559108114154597
      },
      "timings_ms": {
        "eth_chainId": 30.9857259853743,
        "net_version": 27.96904800925404,
        "web3_clientVersion": 35.98366101505235,
        "eth_blockNumber": 7.800991996191442,
        "eth_syncing": 5.406300013419241,
        "net_peerCount": 8.987453998997808,
        "eth_getBlockByNumber_latest": 7.504070992581546,
        "eth_gasPrice": 26.66122099617496,
        "txpool_status": 6.733500020345673
      }
    },
    {
      "vmid": "2501",
      "ip": "192.168.11.251",
      "name": "besu-rpc-2",
      "group": "public",
      "url": "http://192.168.11.251:8545",
      "host_header_used": null,
      "reachable": true,
      "authorized": true,
      "probe": {
        "ok": true,
        "latency_ms": 240.31491298228502,
        "error": null,
        "response": {
          "jsonrpc": "2.0",
          "id": 1,
          "result": "0x8a"
        }
      },
      "checks": {
        "eth_chainId": "0x8a",
        "eth_chainId_ok": true,
        "net_version": "138",
        "net_version_ok": true,
        "client_version": "besu/v23.10.0/linux-x86_64/openjdk-java-17",
        "block_number_hex": "0x9286c",
        "block_number": 600172,
        "syncing": false,
        "syncing_ok": true,
        "peer_count_hex": "0x5",
        "peer_count": 5,
        "latest_block_hash": "0x0d6aa7f99c160282b94c6eb8abace8dc6d63cafbd1a0a4b82ca5e9707d9d9553",
        "latest_block_timestamp_hex": "0x6959f6cc",
        "gas_price_hex": "0x3e8",
        "gas_price_wei": 1000,
        "txpool_supported": false,
        "txpool_error": "Method not found",
        "avg_latency_ms": 18.046208330714663
      },
      "timings_ms": {
        "eth_chainId": 51.452595012960956,
        "net_version": 8.737947006011382,
        "web3_clientVersion": 14.964824018534273,
        "eth_blockNumber": 11.179185996297747,
        "eth_syncing": 7.527556997956708,
        "net_peerCount": 8.864121977239847,
        "eth_getBlockByNumber_latest": 18.168384995078668,
        "eth_gasPrice": 23.71221999055706,
        "txpool_status": 17.80903898179531
      }
    },
    {
      "vmid": "2502",
      "ip": "192.168.11.252",
      "name": "besu-rpc-3",
      "group": "public",
      "url": "http://192.168.11.252:8545",
      "host_header_used": null,
      "reachable": true,
      "authorized": true,
      "probe": {
        "ok": true,
        "latency_ms": 224.40590799669735,
        "error": null,
        "response": {
          "jsonrpc": "2.0",
          "id": 1,
          "result": "0x8a"
        }
      },
      "checks": {
        "eth_chainId": "0x8a",
        "eth_chainId_ok": true,
        "net_version": "138",
        "net_version_ok": true,
        "client_version": "besu/v23.10.0/linux-x86_64/openjdk-java-17",
        "block_number_hex": "0x9286c",
        "block_number": 600172,
        "syncing": false,
        "syncing_ok": true,
        "peer_count_hex": "0x5",
        "peer_count": 5,
        "latest_block_hash": "0x0d6aa7f99c160282b94c6eb8abace8dc6d63cafbd1a0a4b82ca5e9707d9d9553",
        "latest_block_timestamp_hex": "0x6959f6cc",
        "gas_price_hex": "0x3e8",
        "gas_price_wei": 1000,
        "txpool_supported": false,
        "txpool_error": "Method not found",
        "avg_latency_ms": 10.414108330021715
      },
      "timings_ms": {
        "eth_chainId": 9.345878002932295,
        "net_version": 6.300370005192235,
        "web3_clientVersion": 9.50489001115784,
        "eth_blockNumber": 11.997069988865405,
        "eth_syncing": 10.223853983916342,
        "net_peerCount": 9.708525991300121,
        "eth_getBlockByNumber_latest": 11.926067993044853,
        "eth_gasPrice": 16.536682000150904,
        "txpool_status": 8.183636993635446
      }
    },
    {
      "vmid": "2503",
      "ip": "192.168.11.253",
      "name": "besu-rpc-ali-0x8a",
      "group": "public",
      "url": "http://192.168.11.253:8545",
      "host_header_used": null,
      "reachable": true,
      "authorized": true,
      "probe": {
        "ok": true,
        "latency_ms": 217.5862409931142,
        "error": null,
        "response": {
          "jsonrpc": "2.0",
          "id": 1,
          "result": "0x8a"
        }
      },
      "checks": {
        "eth_chainId": "0x8a",
        "eth_chainId_ok": true,
        "net_version": "138",
        "net_version_ok": true,
        "client_version": "besu/v23.10.0/linux-x86_64/openjdk-java-17",
        "block_number_hex": "0x9286c",
        "block_number": 600172,
        "syncing": false,
        "syncing_ok": true,
        "peer_count_hex": "0x7",
        "peer_count": 7,
        "latest_block_hash": "0x0d6aa7f99c160282b94c6eb8abace8dc6d63cafbd1a0a4b82ca5e9707d9d9553",
        "latest_block_timestamp_hex": "0x6959f6cc",
        "gas_price_hex": null,
        "gas_price_wei": null,
        "txpool_supported": false,
        "avg_latency_ms": 908.8616145567762
      },
      "timings_ms": {
        "eth_chainId": 22.203866014024243,
        "net_version": 17.733230022713542,
        "web3_clientVersion": 12.382741988403723,
        "eth_blockNumber": 15.261641994584352,
        "eth_syncing": 9.91601700661704,
        "net_peerCount": 11.749455996323377,
        "eth_getBlockByNumber_latest": 77.3274379898794,
        "eth_gasPrice": 4006.417161988793,
        "txpool_status": 4006.7629780096468
      }
    },
    {
      "vmid": "2504",
      "ip": "192.168.11.254",
      "name": "besu-rpc-ali-0x1",
      "group": "public",
      "url": "http://192.168.11.254:8545",
      "host_header_used": null,
      "reachable": true,
      "authorized": true,
      "probe": {
        "ok": true,
        "latency_ms": 282.29829002521,
        "error": null,
        "response": {
          "jsonrpc": "2.0",
          "id": 1,
          "result": "0x8a"
        }
      },
      "checks": {
        "eth_chainId": "0x8a",
        "eth_chainId_ok": true,
        "net_version": "138",
        "net_version_ok": true,
        "client_version": "besu/v23.10.0/linux-x86_64/openjdk-java-17",
        "block_number_hex": "0x9286c",
        "block_number": 600172,
        "syncing": false,
        "syncing_ok": true,
        "peer_count_hex": "0x7",
        "peer_count": 7,
        "latest_block_hash": "0x0d6aa7f99c160282b94c6eb8abace8dc6d63cafbd1a0a4b82ca5e9707d9d9553",
        "latest_block_timestamp_hex": "0x6959f6cc",
        "gas_price_hex": null,
        "gas_price_wei": null,
        "txpool_supported": false,
        "avg_latency_ms": 910.2443731131239
      },
      "timings_ms": {
        "eth_chainId": 20.584343001246452,
        "net_version": 32.34070201870054,
        "web3_clientVersion": 13.00565100973472,
        "eth_blockNumber": 13.909345987485722,
        "eth_syncing": 20.404356997460127,
        "net_peerCount": 14.855635003186762,
        "eth_getBlockByNumber_latest": 64.33164200279862,
        "eth_gasPrice": 4005.964143987512,
        "txpool_status": 4006.80353800999
      }
    },
    {
      "vmid": "2505",
      "ip": "192.168.11.201",
      "name": "besu-rpc-luis-0x8a",
      "group": "named",
      "url": "http://192.168.11.201:8545",
      "host_header_used": null,
      "reachable": false,
      "authorized": false,
      "probe": {
        "ok": false,
        "latency_ms": 4007.551643997431,
        "error": "exception:TimeoutError:timed out",
        "response": null
      },
      "checks": {},
      "timings_ms": {}
    },
    {
      "vmid": "2506",
      "ip": "192.168.11.202",
      "name": "besu-rpc-luis-0x1",
      "group": "named",
      "url": "http://192.168.11.202:8545",
      "host_header_used": "localhost",
      "reachable": true,
      "authorized": true,
      "probe": {
        "ok": true,
        "latency_ms": 1959.2328470025677,
        "error": null,
        "response": {
          "jsonrpc": "2.0",
          "id": 1,
          "result": "0x8a"
        }
      },
      "checks": {
        "eth_chainId": "0x8a",
        "eth_chainId_ok": true,
        "net_version": "138",
        "net_version_ok": true,
        "client_version": "besu/v23.10.0/linux-x86_64/openjdk-java-17",
        "block_number_hex": "0x9286c",
        "block_number": 600172,
        "syncing": false,
        "syncing_ok": true,
        "peer_count_hex": "0x7",
        "peer_count": 7,
        "latest_block_hash": "0x0d6aa7f99c160282b94c6eb8abace8dc6d63cafbd1a0a4b82ca5e9707d9d9553",
        "latest_block_timestamp_hex": "0x6959f6cc",
        "gas_price_hex": null,
        "gas_price_wei": null,
        "txpool_supported": false,
        "txpool_error": "Method not found",
        "avg_latency_ms": 612.9369814427466
      },
      "timings_ms": {
        "eth_chainId": 19.443255005171522,
        "net_version": 11.397583002690226,
        "web3_clientVersion": 13.156152999727055,
        "eth_blockNumber": 11.68927300022915,
        "eth_syncing": 18.149624986108392,
        "net_peerCount": 12.73298097657971,
        "eth_getBlockByNumber_latest": 544.5386950159445,
        "eth_gasPrice": 4007.218822982395,
        "txpool_status": 878.1064450158738
      }
    },
    {
      "vmid": "2507",
      "ip": "192.168.11.203",
      "name": "besu-rpc-putu-0x8a",
      "group": "named",
      "url": "http://192.168.11.203:8545",
      "host_header_used": "rpc.d-bis.org",
      "reachable": true,
      "authorized": true,
      "probe": {
        "ok": true,
        "latency_ms": 347.4575960135553,
        "error": null,
        "response": {
          "jsonrpc": "2.0",
          "id": 1,
          "result": "0x8a"
        }
      },
      "checks": {
        "eth_chainId": "0x8a",
        "eth_chainId_ok": true,
        "net_version": "138",
        "net_version_ok": true,
        "client_version": "besu/v23.10.0/linux-x86_64/openjdk-java-17",
        "block_number_hex": "0x9286c",
        "block_number": 600172,
        "syncing": false,
        "syncing_ok": true,
        "peer_count_hex": "0x7",
        "peer_count": 7,
        "latest_block_hash": "0x0d6aa7f99c160282b94c6eb8abace8dc6d63cafbd1a0a4b82ca5e9707d9d9553",
        "latest_block_timestamp_hex": "0x6959f6cc",
        "gas_price_hex": "0x3e8",
        "gas_price_wei": 1000,
        "txpool_supported": false,
        "txpool_error": "Method not found",
        "avg_latency_ms": 40.3530094481539
      },
      "timings_ms": {
        "eth_chainId": 7.120413007214665,
        "net_version": 6.781158008379862,
        "web3_clientVersion": 8.010384015506133,
        "eth_blockNumber": 9.062635013833642,
        "eth_syncing": 9.683291980763897,
        "net_peerCount": 8.236136025516316,
        "eth_getBlockByNumber_latest": 75.1298279792536,
        "eth_gasPrice": 219.77954599424265,
        "txpool_status": 19.37369300867431
      }
    },
    {
      "vmid": "2508",
      "ip": "192.168.11.204",
      "name": "besu-rpc-putu-0x1",
      "group": "named",
      "url": "http://192.168.11.204:8545",
      "host_header_used": "localhost",
      "reachable": true,
      "authorized": true,
      "probe": {
        "ok": true,
        "latency_ms": 2598.1195000058506,
        "error": null,
        "response": {
          "jsonrpc": "2.0",
          "id": 1,
          "result": "0x8a"
        }
      },
      "checks": {
        "eth_chainId": "0x8a",
        "eth_chainId_ok": true,
        "net_version": "138",
        "net_version_ok": true,
        "client_version": "besu/v23.10.0/linux-x86_64/openjdk-java-17",
        "block_number_hex": "0x9286c",
        "block_number": 600172,
        "syncing": false,
        "syncing_ok": true,
        "peer_count_hex": "0x7",
        "peer_count": 7,
        "latest_block_hash": "0x0d6aa7f99c160282b94c6eb8abace8dc6d63cafbd1a0a4b82ca5e9707d9d9553",
        "latest_block_timestamp_hex": "0x6959f6cc",
        "gas_price_hex": null,
        "gas_price_wei": null,
        "txpool_supported": false,
        "txpool_error": "Method not found",
        "avg_latency_ms": 514.0383531138973
      },
      "timings_ms": {
        "eth_chainId": 14.078088017413393,
        "net_version": 12.97838002210483,
        "web3_clientVersion": 14.371287019457668,
        "eth_blockNumber": 15.927481988910586,
        "eth_syncing": 9.198129002470523,
        "net_peerCount": 9.575286996550858,
        "eth_getBlockByNumber_latest": 122.88823397830129,
        "eth_gasPrice": 4006.319367006654,
        "txpool_status": 421.0089239932131
      }
    }
  ]
}